<?php
if (isset($tpl['status']))
{
	$status = __('status', true);
	switch ($tpl['status'])
	{
		case 2:
			pjUtil::printNotice(NULL, $status[2]);
			break;
	}
} else {
	if (isset($_GET['err']))
	{
		$titles = __('error_titles', true);
		$bodies = __('error_bodies', true);
		$bodies_text = str_replace("{SIZE}", ini_get('post_max_size'), @$bodies[$_GET['err']]);
		pjUtil::printNotice(@$titles[$_GET['err']], $bodies_text);
	}
	$u_statarr = __('u_statarr', true);
	?>
	
	<?php
	pjUtil::printNotice(__('infoProductFeaturesTitle', true, false), __('infoProductFeaturesDesc', true, false));
	?>
	<div class="b10">
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get" class="float_left r5">
			<input type="hidden" name="controller" value="pjAdminProductFeatures" />
			<input type="hidden" name="action" value="pjActionCreate" />
			<input type="submit" class="pj-button" value="<?php __('btnAddPlus'); ?>" />
		</form>
		<form action="" method="get" class="float_left pj-form frm-filter">
			<input type="text" name="q" class="pj-form-field pj-form-field-search w150 float_left r10" placeholder="<?php __('btnSearch', false, true); ?>" />
			<span class="block float_right">
				<select name="category_id" id="filter_category_id" class="pj-form-field w200">
					<option value="">-- <?php __('lblFilterByCategory'); ?>--</option>
					<?php
					foreach($tpl['category_arr'] as $k => $v)
					{
						?><option value="<?php echo $v['id'];?>"<?php echo isset($_GET['category_id']) ? ($_GET['category_id'] == $v['id'] ? ' selected="selected"' : NULL) : NULL;?>><?php echo pjSanitize::clean($v['name']);?></option><?php
					} 
					?>
				</select>
			</span>
		</form>
		<?php
		$filter = __('filter', true);
		?>
		<div class="float_right t5">
			<a href="#" class="pj-button btn-all"><?php __('lblAll'); ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="T"><?php echo $filter['active']; ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="F"><?php echo $filter['inactive']; ?></a>
		</div>
		<br class="clear_both" />
	</div>

	<div id="grid"></div>
	<script type="text/javascript">
	var pjGrid = pjGrid || {};
	pjGrid.queryString = "";
	<?php
	if (isset($_GET['category_id']) && (int) $_GET['category_id'] > 0)
	{
		?>pjGrid.queryString += "&category_id=<?php echo (int) $_GET['category_id']; ?>";<?php
	}
	?>
	var myLabel = myLabel || {};
	myLabel.title = "<?php __('title', false, true); ?>";
	myLabel.order = "<?php __('lblOrder', false, true); ?>";
	myLabel.category = "<?php __('category_name', false, true); ?>";
	myLabel.revert_status = "<?php __('revert_status', false, true); ?>";
	myLabel.exported = "<?php __('lblExport', false, true); ?>";
	myLabel.active = "<?php echo $filter['active']; ?>";
	myLabel.inactive = "<?php echo $filter['inactive']; ?>";
	myLabel.delete_selected = "<?php __('delete_selected', false, true); ?>";
	myLabel.delete_confirmation = "<?php __('delete_confirmation', false, true); ?>";
	myLabel.status = "<?php __('lblStatus', false, true); ?>";
	</script>
	<?php
}
?>